Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1114067

Description of problem:

This problem is limited in scope to a very specific type of subscription, virtual data center. (RH00002) This type of subscription (which

has what we call derived product data) requires that it be first granted to a host system, but the host gets no content as a result.

Once granted a sub-pool is created for guests running on that host which does receive content. (i.e. the content the subscription

provides has to change depending on whether it's used on host / guest)

Version-Release number of selected component (if applicable):

Found in nightly beta build as of today.

Steps to Reproduce:

1. Import a manifest with only a VDC entitlement, preferably on a fresh/clean/empty Satellite.

Actual results:

This will need more specifics from someone more familiar with content in Satellite, but here is what I see.

If I nav to Content > Red Hat Repositories, I see the only orphaned content with empty sub-menus in attachment. I believe this is

where I initiate content sync, so this effectively means I cannot sync any content.

Likewise I cannot add any content to a content view.

Expected results:

Satellite should respect the derived product data.

Additional info:

This is a big oversight / miscommunication on our part when this feature was implemented, but essentially a pool like this carries

additional content in a separate place. If you open a manifest and examine an entitlement JSON file, you'll see the pool carrying

derivedProductId, derivedProductAttributes, and derivedProvidedProducts. These attributes are used on a guest pool when one is

created instead of the parent pools productId/productAttributes/providedProducts.

I am not familiar with how the Satellite UI and pulp are determining what content/repos are available but very likely it means these

fields need to be examined in addition to the normal set.

They should probably immediately be available for syncing and promotion even before any guest pools exist to reference them.

Associated revisions

Revision d2672d32 - 07/29/2014 01:25 PM - Thomas McKay

fixes #6702 - use a subscriptions derived provided products
Revision 3bab5cf6 - 07/30/2014 07:33 AM - Thomas McKay

Merge pull request #4475 from thomasmckay/6702-derived-products

fixes #6702 - use a subscriptions derived provided products

History

#1 - 07/22/2014 07:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4475 added

- Pull request deleted ()

#2 - 07/24/2014 03:29 PM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

#3 - 07/28/2014 08:47 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 07/30/2014 08:01 AM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|d2672d3233675965fd6470eeaaed7a7c7fa36c3f.

#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
